comp.FC {DEDS} | R Documentation

## Computing Fold Change for Differential Expression

### Description

`comp.FC` returns a function of one argument with bindings for `L`, `is.log` and `FUN`. This function accepts a microarray data matrix as its single argment, when evaluated, computes fold change for each row of the matrix.

### Usage

    comp.FC(L = NULL, is.log = TRUE, FUN = mean)

### Arguments

`L` | A vector of integers corresponding to observation (column) class labels. For k classes, the labels must be integers between 0 and k-1.
`is.log` | A logical variable indicating whether the data has been logged.
`FUN` | The summary statistics function used to calcuate fold change, the default is set as `mean`, the user can also use `median`

.

### Details

The function returned by `comp.FC` calculates fold change for each row of the matrix, given specific class labels. If `is.log=TRUE`, fold change is calculated by substraction; if `is.log=FALSE`, fold change is calculated by division.

### Value

`comp.FC` returns a function with bindings for `L`, `is.log` and `FUN`, which calculates and returns a vector of fold changes for each row in the data matrix.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.t`,`comp.F`

### Examples

    X <- matrix(rnorm(1000,0,0.5), nc=10)
    L <- rep(0:1,c(5,5))

    # genes 1-10 are differentially expressed
    X[1:10,6:10]<-X[1:10,6:10]+1

    f <- comp.FC(L=L)
    f.X <- f(X)

[Package DEDS version 1.6.0 Index]